> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecleff.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the webhook subscription



## OpenAPI

````yaml PATCH /v1/webhook-subscriptions
openapi: 3.0.0
info:
  title: Cleff API
  description: >-
    Payout orchestration platform. All endpoints under /v1/ require an API key
    in the Authorization header (Bearer ck_<env>_<id>_<secret>).
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.usecleff.com
security: []
tags: []
paths:
  /v1/webhook-subscriptions:
    patch:
      tags:
        - Webhook subscriptions
      summary: Update URL, allowlist, or enabled flag (does NOT rotate the secret)
      operationId: WebhookSubscriptionsController_update
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWebhookSubscriptionDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookSubscriptionDto'
      security:
        - api_key: []
components:
  schemas:
    UpdateWebhookSubscriptionDto:
      type: object
      properties:
        url:
          type: string
          example: https://api.example.com/cleff/webhooks
        enabled_events:
          type: array
          example:
            - payout.disbursement_submitted
            - payout.acknowledged
            - payout.estimated_arrival_at
            - payout.disbursed
            - payout.delivered
            - payout.settled
            - payout.canceled
            - beneficiary.details_submitted
            - beneficiary.bank_account.registered
            - beneficiary.enrollment_rejected
          items:
            type: string
            enum:
              - payout.disbursement_submitted
              - payout.acknowledged
              - payout.estimated_arrival_at
              - payout.disbursed
              - payout.delivered
              - payout.settled
              - payout.canceled
              - beneficiary.details_submitted
              - beneficiary.bank_account.registered
              - beneficiary.enrollment_rejected
        enabled:
          type: boolean
          example: true
    WebhookSubscriptionDto:
      type: object
      properties:
        id:
          type: string
        environment:
          type: string
        url:
          type: string
        enabled_events:
          type: array
          items:
            type: string
        enabled:
          type: boolean
        created_at:
          type: string
      required:
        - id
        - environment
        - url
        - enabled_events
        - enabled
        - created_at
  securitySchemes:
    api_key:
      scheme: bearer
      bearerFormat: ck_<env>_<id>_<secret>
      type: http
      description: >-
        Cleff API key issued to a Business that self-registers via POST
        /v1/registration

````